<div class="modal">
    <button type="button" class="close" (click)="closeModal()">
        <span aria-hidden="true">&times;</span>
    </button>
    <div class="all-in-one-table">
        <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)"
            [reverse]="true">
        </elastic-page-header>
    </div>
    <h1>Reporte de usuarios</h1>
</div>
<div class="container">
    <mat-card>
        <form [formGroup]="formGroup" class="form-modal" fxLayout="column" fxFlex="100%">
            <p>
                <mat-icon>event_note</mat-icon> <span>Seleccione un rango de fechas de registro de usuarios</span>
            </p>
            <div style="display: flex">
                <mat-form-field class="accordion-input" appearance="fill" style="width: 50% !important">
                    <mat-label>Fecha inicio</mat-label>
                    <input formControlName="startDate" type="datetime-local" matInput max="maxDate" (input)="onPasswordInput()">
                    <mat-hint *ngIf="formGroup.controls.startDate.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.startDate.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.startDate.errors.required" style="color: red">El campo es requerido</p>
                        </div>
                    </mat-hint>
                </mat-form-field>
                <mat-form-field class="accordion-input" appearance="fill" style="width: 50% !important">
                    <mat-label>Fecha final</mat-label>
                    <input formControlName="endDate" type="datetime-local" matInput [max]="maxDate" (input)="onPasswordInput()">
                    <mat-hint *ngIf="formGroup.controls.endDate.touched || btnOnSubmit">
                        <div *ngIf="formGroup.controls.endDate.errors" style="margin-top: -15px;">
                            <p *ngIf="formGroup.controls.endDate.errors.required" style="color: red">El campo es requerido</p>
                        </div>
                        <div *ngIf="formGroup.controls.endDate.errors" style="margin-top: -15px;">
                            <div *ngIf="formGroup.controls.endDate.errors[0]">
                                <p *ngIf="formGroup.controls.endDate.errors[0].erorDate" style="color: red">La fecha final debe ser mayor a la de inicio</p>
                            </div>
                        </div>
                    </mat-hint>
                </mat-form-field>
            </div>
            <div class="example-button-row">
                <button mat-raised-button color="primary" (click)="closeModal()">Cancel</button>
                <button mat-raised-button class="marginButton" color="primary" [class.spinner]="loadingDownload" [disabled]="loadingDownload" type="submit" (click)="onSubmit()">Descargar</button>
            </div>
        </form>
    </mat-card>
</div>